/*
    This file is part of libtermui.

    libtermui is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    libtermui is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with libtermui.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2006, Alexandre Becoulet <alexandre.becoulet@free.fr>

*/

#ifndef TERMUI_TERM_PV_H_
#define TERMUI_TERM_PV_H_

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif

#include <stdarg.h>

#include <termui/term.h>

termui_err_t term_err(void);

termui_err_t termui_term_set(struct termui_term_s *tm);

termui_ssize_t termui_term_printf_va(struct termui_term_s *tm, const char *fmt, va_list list);

termui_err_t termui_term_set_none(struct termui_term_s *tm);
termui_err_t termui_term_set_vt100(struct termui_term_s *tm);
termui_err_t termui_term_set_vt102(struct termui_term_s *tm);
termui_err_t termui_term_set_xterm(struct termui_term_s *tm);

#endif

